<?php
include 'connect.php';


// inclusão de itens no helper
/*
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  $msg = array();

  // 1. incluir o ws.
  require_once 'inc/clientes.php';
  require_once 'inc/usuario.php';
  require_once 'inc/funcionalidade.php';
  // 2. seria interessante aqui ter uma função para verificar o usuário logado, o check_session.php não adianta aqui pois ele sempre redireciona para o index, e aqui não
  //    é esse o caso. Quando o usuário não está logado, retorna uma mensagem de erro com o json.
  if (!checkLogin()) {
    $msg['error'] = 'Erro! Usuário não autorizado';
    header('Content-type: application/json');
    echo json_encode($msg);
    exit;
  }
  // 3. inclui o item e retorna mensagem em formato json, e da exit para interromper o script aqui.
  $clientes = clientes_create();
  if (isset($_POST['clientes'])) {
    $clientes = array_replace_recursive($clientes, $_POST['clientes']);
    $ok = clientes_insert($clientes, $error);
  // 4. não é aqui, mas o javascript que envia o form via ajax espera um json com 2 campos, text e type, onde text é a mensagem (aceita html) e type pode ser alert, success,
  // error, warning, information, confirm, usados no plugin "noty jquery" (http://ned.im/noty/)
    if ($ok) {
      $msg['text'] = 'Item inserido com sucesso';
      $msg['type'] = 'success';
    } else {
      $msg['text'] = 'Erro ao inserir item ' . $error;
      $msg['type'] = 'error';
    }
  } else {
    $msg['text'] = 'Erro ao inserir item';
    $msg['type'] = 'error';
  }

  header('Content-type: application/json');
  echo json_encode($msg);
  exit;
}
// caso veio por um get mesmo, porém eu tenho um parâmetro chamado key, eu faço um select pela chave passada para retornar o descritivo dele
else
//*/
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
  // 1. incluir o ws
  require_once 'inc/clientes.php';
  require_once 'inc/usuario.php';
  require_once 'inc/funcionalidade.php';
  // 2. verifica o usuário
  if (!checkLogin()) {
    $msg = array();
    $msg['error'] = 'Erro! Usuário não autorizado';
    header('Content-type: application/json');
    echo json_encode($msg);
    exit;
  }

  // 3. lê a chave
  if (isset($_GET['key'])) {
    $key = $_GET['key'];
    $msg = array();

    if($key!=""){
  // 4. consulta ao BD
      $sql = "select ds_chave, concat(
'Pedido:', l.id_pedido_original,
' | Data:', date_format(l.dh_liberacao, '%d/%m/%Y'),
' | Cliente:', c.ds_nome,
' | R$ ', l.vl_total_pedido) as ds_resumo
from erpc_documentos_saida s
join erpc_pedidos_documentos_saida ps on s.id = ps.id_documento_saida
join erpc_pedidos_venda_liberados l on ps.id_pedido_liberados = l.id
join erpc_clientes c on l.id_cliente = c.id
where s.cd_status_nfe IN('100', '6000')
  and s.ds_chave = ?
order by l.dh_liberacao desc";
      $values = array($key);
      //echo $sql;
      $result = _prepareAndQuery($sql, $values, $error);
  // 5. tudo certo, mensagem de sucesso com um json com propriedade 'value' com o valor, tudo errado, mensagem de erro com um json com propriedade 'value' com um valor
  //    genérico e o erro na propriedade 'error'
      if ($result === false) {
        $msg['error'] = 'Erro! ' . $error;
      } else if (count($result) > 0) {
        $value = $result[0]['ds_nome'];
        //Mensagem de encontrado
        $msg['value'] = $value; //Campo descritivo
      } else {
        //Caso não encontrado
        $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' não cadastrado';
      }
      //resposta para a página chamada
      header('Content-type: application/json');
      echo json_encode($msg);
      exit;
    }
  }
}

?>


<div class="scroll">
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#helper_lista-div" aria-controls="helper_lista-div" role="tab" data-toggle="tab"><span class="fa fa_list"></span> Lista</a></li>
    <!--
    <li role="presentation" class=""      ><a href="#helper-form-div"  aria-controls="helper-form-div" role="tab" data-toggle="tab"><span class="fa fa-plus"></span> Adicionar</a></li>
  -->
  </ul>

  <div class="tab-content">
    <div role="tabpanel" class="tab-pane fade in active " id="helper_lista-div">
      <table class="table table-bordered table-striped table-responsible table-condensed sortable table-clickable-row" id="helperTable">
       <thead>
          <tr>
            <!--<th width="3%"><input type="checkbox" class="checkall" /></th>-->
            <!--<th width="3%">Status</th>-->
            <th width="20%">Chave Sefaz</th>
            <th width="80%">Resumo do Pedido:</th>
          </tr>
        </thead>
        <tbody>

          <?php
          $sql = "select ds_chave, concat(
                'Pedido:', l.id_pedido_original,
                ' | Data:', date_format(l.dh_liberacao, '%d/%m/%Y'),
                ' | Cliente:', c.ds_nome,
                ' | R$ ', l.vl_total_pedido) as ds_resumo
                from erpc_documentos_saida s
                  join erpc_pedidos_documentos_saida ps on s.id = ps.id_documento_saida
                  join erpc_pedidos_venda_liberados l on ps.id_pedido_liberados = l.id
                  join erpc_clientes c on l.id_cliente = c.id
                  where s.cd_status_nfe IN('100', '6000')
                  order by l.dh_liberacao desc";
          // echo $sql;
          $resultado = mysqli_query($conexao, $sql);
          if ($resultado) {
            if (mysqli_num_rows($resultado)>0) {
              while ($registro = mysqli_fetch_assoc($resultado)){

                $ds_chave = $registro['ds_chave'];
                $ds_resumo= $registro['ds_resumo'];

                echo '<tr>' . PHP_EOL;
                //echo "<td class='text-center'><input type='checkbox' /></td>";
                //echo "<td class='text-center'><i class='fa fa-circle text-success' title='Status'><span class='sr-only'>Status</span></i></td>";
                echo "<td>$ds_chave</td>" . PHP_EOL;
                echo "<td>$ds_resumo</td>" . PHP_EOL;
                echo "</tr>" . PHP_EOL;
              }
            }
          } else {
            echo '<tr><td colspan="2">Erro! ' . sql_error($conexao) . '</td></tr>';
          }
          ?>
        </tbody>
      </table>
    </div> <!-- tabpanel -->
  </div> <!-- tab-content -->
</div>
